package space.nstart.pcp.pcp_types_lib.dto.ballistics

import com.fasterxml.jackson.annotation.JsonProperty
import jakarta.validation.constraints.NotEmpty
import java.time.LocalDateTime

class IcRvaRequestDTO(
    val ic : InitialConditionsDTO = InitialConditionsDTO(),

    val modDvType : Short? = null,

    @JsonProperty
    @field:NotEmpty(message = "Массив станций приема")
    val station: StationDTO = StationDTO(),

    val timeStart : LocalDateTime = LocalDateTime.now(),

    val timeStop : LocalDateTime = LocalDateTime.now()
) {
}